Download the program (about 90k)
Last update: 15 Feb 2004.

Run It!
The SWIPE barcode decoder application can run on your computer, but may require some set-up to work.

Java 1.3 or later is required, and is available from Sun Microsystems . This is a huge download, but older versions are smaller, especially the "JRE" version. In some cases, if java has been installed and your OS supports it, you can simply double-click on the application. If you can run java from the command line on your computer, the following command should also work:

java -jar SwipeBarcode.jar

We will provide more detailed advice as we get feedback from users. To report success, failure, or to ask a question please email us

Source Code
Yes, the Java source code for this application will be available soon!